import { Base, DomWrapper, DomRenderer, Type } from "igniteui-react-core/ES2015/type";
import { FinancialChartRangeSelectorViewModel } from "./FinancialChartRangeSelectorViewModel";
import { FinancialChartRangeSelectorVisualData } from "./FinancialChartRangeSelectorVisualData";
import { FinancialChartRangeSelectorOptionCollection } from "./FinancialChartRangeSelectorOptionCollection";
/**
 * @hidden
 */
export declare class FinancialChartRangeSelectorView extends Base {
    static $t: Type;
    d(a: DomRenderer, b: FinancialChartRangeSelectorViewModel): void;
    private f;
    e(a: FinancialChartRangeSelectorViewModel): void;
    c(a: DomWrapper): FinancialChartRangeSelectorVisualData;
    private b;
    g(a: FinancialChartRangeSelectorOptionCollection): void;
    private a;
}
